	SUBROUTINE BREAK
C	  THIS SUBROUTINE ALLOWS THE USER TO SET THE BREAK CHARACTER
	COMMON/CTRL/CTRL(32),IBREAK
	LOGICAL*1 CTRL,UNDEF(10)
	DATA UNDEF /'U','n','d','e','f','i','n','e','d',0/
	WRITE(5,10)
 10	FORMAT($,' BREAK CHARACTER=')
 20	I=ITTING(IDUMMY)
	IF(I.LT.0) GOTO 20
C	  DO NOT ALLOW CTRL/C OR CARRIAGE-RETURN - MAKE IT UNDEFINED
	IF(I.EQ."15.OR.I.EQ."3) GOTO 25
	IF(I.LT."40) GOTO 22
	CALL ENQUE(I)
	GOTO 24
C	  CONTROL CHARACTER - ECHO ^CHAR
 22	CALL ENQUE('^')
	CALL ENQUE(I+"100)
C
 24	IBREAK=I
	GOTO 30
C	  TELL HIM ITS UNDEFINED
 25	DO 26 I=1,9
	J=UNDEF(I)
 26	CALL ENQUE(J)
	IBREAK=-1
C
 30	CALL ENQUE("15)
	CALL ENQUE("12)
	RETURN
	END
